/*
 * @Author: zc
 * @Description: 
 * @version: 
 * @Date: 2022-10-21 09:01:22
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-15 16:12:09
 */
import {defineStore} from 'pinia';
import Cookies from 'js-cookie';
import {UserInfosStates} from './interface';
import {Session} from '/@/utils/storage';
import {getMyBtns} from "/@/api/login/user"

/**
 * 用户信息
 * @methods setUserInfos 设置用户信息
 */
export const useUserInfo = defineStore('userInfo', {
	state: (): UserInfosStates => ({
		userInfos: {
			userName: Cookies.get('userName'),
			photo: '',
			authBtnList: [],
			token:Cookies.get('token'),
			showTelControl:false, // 是否展示坐席操作电话面板
		},
	}),
	actions: {
		async setUserInfos() {
			if (Session.get('userInfo')) { //有缓存 取缓存
				this.userInfos = Session.get('userInfo');
			} else {
				this.userInfos = this.getApiUserInfo() as any;
			}
		},
		async getApiUserInfo() {
			let infos:any = await getMyBtns();
			this.userInfos.userName =  Cookies.get('userName');
			this.userInfos.token =  Cookies.get('token');
			this.userInfos.photo =  "";
			this.userInfos.showTelControl =  infos.result.includes('999125'); // 查询是否有展示面板权限
			this.userInfos.authBtnList = infos.result;
			Session.set('userInfo', this.userInfos);
			return this.userInfos;
		},
	},
});
